Last Comment Bug 1168536 - Events with timezone get moved on a wrong day after a drag and drop in month view
: Events with timezone get moved on a wrong day after a drag and drop in month ...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Calendar Views (show other bugs)
: Trunk
: All All
-- normal (vote)
: 4.3
Assigned To: Decathlon
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-26 12:28 PDT by Decathlon
Modified: 2015-05-31 06:58 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch - v1 (1.61 KB, patch)
2015-05-26 13:02 PDT, Decathlon
philipp: review+
Details | Diff | Splinter Review

Description User image Decathlon 2015-05-26 12:28:18 PDT
- Steps to reproduce:

1. set Lightning's default timezone to America/New york;
2. import the following calendar with an event in UTC/GMT timezone:

BEGIN:VCALENDAR
BEGIN:VEVENT
CREATED:20150413T125116Z
LAST-MODIFIED:20150413T125154Z
DTSTAMP:20150413T125154Z
UID:2caf0f7c-9b33-4e64-b7a9-7da46e965646
SUMMARY:Test drag&drop event with timezone
DTSTART:20150520T010000Z
DTEND:20150520T020000Z
END:VEVENT
END:VCALENDAR

3. in month/multiweek views, drag and drop the event on a different day.

- Actual result:

after the drop, the event gets moved on the earlier day than the day where the drop occurs.

The bug doesn't occur in day/multiday view.
Comment 1 User image Decathlon 2015-05-26 13:02:59 PDT
Created attachment 8610782 [details] [diff] [review]
patch - v1

The drop session sets the event on a day based on the item date's timezone instead of the default timezone that should be used to display the events in the views.
Comment 2 User image Philipp Kewisch [:Fallen] 2015-05-29 00:43:50 PDT
Comment on attachment 8610782 [details] [diff] [review]
patch - v1

Review of attachment 8610782 [details] [diff] [review]:
-----------------------------------------------------------------

lgtm
Comment 3 User image Stefan Sitter 2015-05-31 06:58:58 PDT
Pushed to https://hg.mozilla.org/comm-central/rev/f836c11cd545

Note You need to log in before you can comment on or make changes to this bug.